package com.securitycontrol.screen.service.impl;

import com.securitycontrol.common.core.web.domain.AjaxResult;
import com.securitycontrol.entity.background.vo.DutyPlanVo;
import com.securitycontrol.entity.screen.dto.AlarmMgeDto;
import com.securitycontrol.entity.screen.dto.ScreenParamDto;
import com.securitycontrol.entity.screen.vo.AlarmMgeVo;
import com.securitycontrol.entity.system.base.vo.ProVo;
import com.securitycontrol.screen.mapper.AlarmMgeMapper;
import com.securitycontrol.screen.service.AlarmMgeService;
import lombok.extern.slf4j.Slf4j;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.Future;

/**
 * 告警管理
 * @author lsun
 */
@Slf4j
@Service(value = "AlarmMgeService")
public class AlarmMgeServiceImpl implements AlarmMgeService {

    @Resource(name = "AlarmMgeMapper")
    private AlarmMgeMapper mapper;

    @Override
    public List<AlarmMgeVo> getAlarmMgeList(AlarmMgeDto dto) {
        List<AlarmMgeVo> list = new ArrayList<>();
        try {
            list = mapper.getAlarmMgeList(dto);
        } catch (Exception e) {
            log.error("获取告警管理列表",e);
        }
        return list;
    }
}
